<h4 class="font-weight-bold py-3 mb-4 col-md-6">
    {{uid}}
</h4>

<div class="card mb-4">
    <h6 class="card-header">
        Enter the User information
        <!-- <a href="javascript:void(0)" class="pull-right btn btn-primary" (click)="navigateToUserList()">User List</a> -->
    </h6>

    <div class="card-body">
        <form [formGroup]="editUser" (ngSubmit)="fneditUser(editUser.value)">
            <div class="form-row">
                <div class="form-group col-md-6">
                    <label class="form-label">First Name</label>
                    <input [formControl]="editUser.controls['first_name']" [(ngModel)]="first_name" name="first_name" type="text" class="form-control"
                        placeholder="First Name" [ngClass]="{'is-invalid':!editUser.controls['first_name'].valid && editUser.controls['first_name'].touched}">
                    <div *ngIf="editUser.controls['first_name'].hasError('required') && editUser.controls['first_name'].touched" class="invalid-feedback">You must include a first name.</div>
                </div>
                <div class="form-group col-md-6">
                    <label class="form-label">Last Name</label>
                    <input [formControl]="editUser.controls['last_name']" [(ngModel)]="last_name" name="last_name" type="text" class="form-control"
                        placeholder="Last Name" [ngClass]="{'is-invalid':!editUser.controls['last_name'].valid && editUser.controls['last_name'].touched}">
                    <div *ngIf="editUser.controls['last_name'].hasError('required') && editUser.controls['last_name'].touched" class="invalid-feedback">You must include a last name.</div>
                </div>
                <!-- <div class="form-group col-md-6">
                    <label class="form-label">Role</label>
                    <select [formControl]="editUser.controls['role']" [(ngModel)]="role" class="form-control">
                        <option *ngIf="roleList.length==0" [value]="0" selected>Loading....</option>
                        <option *ngFor="let role of roleList" [value]="role.role">{{role.description}}</option>
                    </select>
                </div> -->
                <div class="form-group col-md-12">
                    <label class="form-label">Roles</label>
                    <ng-select style="color:#a4a4a4;" [formControl]="editUser.controls['role']" [multiple]="true" [options]="roleList" [(ngModel)]="role" [ngClass]="{'is-invalid':!editUser.controls['role'].valid && editUser.controls['role'].touched}">
                    </ng-select>
                    <div *ngIf="editUser.controls['role'].hasError('required') && editUser.controls['role'].touched" class="invalid-feedback">You must include at least one role.</div>
                </div>
                <input [formControl]="editUser.controls['uid']" [(ngModel)]="uid" name="uid" type="hidden" class="form-control" placeholder="Email">
            </div>
            <hr/>
            <button [ladda]="isloading" data-style="expand-left" type="submit" class="btn btn-outline-primary" [disabled]="!editUser.valid">Update</button>
        </form>
    </div>
</div>
<ngb-alert [type]="alertType" (click)="isAlert=false" *ngIf="isAlert">{{alertMessage}}</ngb-alert>
<!-- <div class="card bg-success">
    <div class="card-body">
        <h6>User added successfully</h6>
    </div>
</div> -->